KDE 4.2 PyKDE API Reference

- KDE's Python API

# Soprano.Error Namespace Reference

`from PyKDE4.soprano.Soprano.Error import *`

## Detailed Description

## Class Index

E | L | ParserError (Soprano.Error)
Error (Soprano.Error) | Locator (Soprano.Error) |
ErrorCache (Soprano.Error) | P |

## Enumerations

ErrorCode | { ErrorNone, ErrorInvalidArgument, ErrorInvalidStatement, ErrorNotSupported, ErrorParsingFailed, ErrorPermissionDenied, ErrorUnknown }

## Functions

Soprano.Error.ErrorCode | convertErrorCode (int code)
QString | errorMessage (Soprano.Error.ErrorCode a0)

## Enumeration Documentation

ErrorCode

%Soprano defines a number of error codes that are used to provide a quick success status check in methods such as Model.addStatement().

\sa Error.Error.code()

Enumerator:

  ErrorNone = 0x0 No error occured, i.e. success. < p> |
  ErrorInvalidArgument = 0x1 Error indicating that a method argument was invalid. For example an invalid Statement in Model.addStatement(). < p> |
  ErrorInvalidStatement = ErrorInvalidArgument \deprecated: use ErrorInvalidArgument < p> |
  ErrorNotSupported = 0x2 Error indicating that a certain functionality is not supported. < p> |
  ErrorParsingFailed = 0x3 Parsing a query or an RDF serialization failed. < p> |

  ErrorPermissionDenied = 0x4

  Permission is denied.
  Since:< b>< dt>
    2.1 < dd>< dl> < p>

  ErrorUnknown = 0x1000 An unknown error occured. < p> |

## Function Documentation

Soprano.Error.ErrorCode convertErrorCode | ( | int | code
| ) |  |  |

Converts a plain error code (as for example used in Error.code()) into an ErrorCode value.

Returns:
  code converted to ErrorCode. If it is an unknown value, ErrorUnknown will be returned.

QString errorMessage | ( | Soprano.Error.ErrorCode | a0
| ) |  |  |

Translate an error code into a human-readable error message.